org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfListStyleNumber

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyle
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyleNumber

    public class RtfListStyleNumber
    extends RtfListStyle

Class to handle number list style.

### Constructor Summary

Constructors
Constructor and Description
`RtfListStyleNumber()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeLevelGroup(RtfElement element)` Gets called when the list table has to be written.
`void` `writeListPrefix(RtfListItem item)` Gets called before a RtfListItem has to be written.
`void` `writeParagraphPrefix(RtfElement element)` Gets called before a paragraph, which is contained by a RtfListItem has to be written.

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyle

`getRtfList, getRtfListItem, setRtfListItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RtfListStyleNumber

    public RtfListStyleNumber()

### Method Detail

#### writeListPrefix

    public void writeListPrefix(RtfListItem item)
                         throws IOException

Gets called before a RtfListItem has to be written.

Overrides:
  `writeListPrefix` in class `RtfListStyle`
Parameters:
  `item` - RtfListItem whose prefix has to be written RtfListItem this style belongs to
Throws:
  `IOException` - Thrown when an IO-problem occurs

#### writeParagraphPrefix

    public void writeParagraphPrefix(RtfElement element)
                              throws IOException

Gets called before a paragraph, which is contained by a RtfListItem has to be written.

Overrides:
  `writeParagraphPrefix` in class `RtfListStyle`
Parameters:
  `element` - RtfElement in whose context is to be written RtfElement in whose context is to be written
Throws:
  `IOException` - Thrown when an IO-problem occurs

#### writeLevelGroup

    public void writeLevelGroup(RtfElement element)
                         throws IOException

Gets called when the list table has to be written.

Overrides:
  `writeLevelGroup` in class `RtfListStyle`
Parameters:
  `element` - RtfElement in whose context is to be written RtfElement in whose context is to be written
Throws:
  `IOException` - Thrown when an IO-problem occurs